happy-lib-2.1.7: Happy is a parser generator for Haskell implemented using this library

Safe Haskell | None
Language | Haskell98

Happy.Backend.GLR.ProduceCode

# Documentation

produceGLRParser :: (String, String) -> String -> (ActionTable, GotoTable) -> String -> Maybe String -> Maybe String -> (DebugMode, Options) -> Grammar String -> Directives -> (String, String) Source #

baseTemplate :: String -> String Source #

libTemplate :: String -> String Source #

data DecodeOption Source #

Constructors

TreeDecode |
LabelDecode |

data FilterOption Source #

Constructors

NoFiltering |
UseFiltering |

data GhcExts Source #

Constructors

NoGhcExts |
UseGhcExts String [String] |

type Options = (DecodeOption, FilterOption, GhcExts) Source #